<?php

function ep_enqueue_scripts() {
    wp_enqueue_script( 'masonry-js', plugins_url( 'js/masonry.pkgd.min.js', __FILE__ ), array(), '1.0.0', true );
    wp_enqueue_script( 'jquery-masonry-loader', plugins_url( 'js/masonry-loader.js', __FILE__ ), array(), '1.0.0', true );
}

function ep_inject_pins() { 

	// Create the pin board 
    function ep_create_pins() 
    {

        //Reference Wordpress database string.
    	global $wpdb;

        //Retrieve Values Needed

        //For CSS
        $pins_cols = $wpdb->get_var($wpdb->prepare("SELECT option_value FROM ep_pinterest_settings WHERE option_name = 'pincolumns';"));
        $pins_border_radius = $wpdb->get_var($wpdb->prepare("SELECT option_value FROM ep_pinterest_settings WHERE option_name = 'pinborder';"));
        $pins_template = $wpdb->get_var($wpdb->prepare("SELECT option_value FROM ep_pinterest_settings WHERE option_name = 'template';"));
        $pins_links = $wpdb->get_var($wpdb->prepare("SELECT option_value FROM ep_pinterest_settings WHERE option_name = 'linkwindow';"));

        $pins_cols_val = "";
        $pins_border_val = "";
        $pins_template_val = 0;
        $pins_links_val = 0;

        switch($pins_links) {
            case 'New Tab':
                $pins_links_val = 1;
            break;
            case 'Current Tab':
                $pins_links_val = 2;
            break;
            default:
                $pins_links_val = 1;
            break;
        }

        switch($pins_template) {
            case 'Default':
                $pins_template_val = 2;
            break;
            case 'Gallery':
                $pins_template_val = 1;
            break;
            default:
                $pins_template_val = 2;
            break;
        }

         switch($pins_border_radius) {
            case 'yes':
                $pins_border_val = "5";
            break;
            case 'no':
                $pins_border_val = "0";
            break;
            default:
                $pins_border_val = "5";
            break;
        }

        switch($pins_cols) {
            case '3':
                $pins_cols_val = "30";
            break;
            case '4':
                $pins_cols_val = "22";
            break;
            case '5':
                $pins_cols_val = "17";
            break;
            default:
                $pins_cols_val = "30";
            break;
        }

        //For Displaying Pins

        //Retrieve the user from the database
        $pinterest_user =$wpdb->get_var($wpdb->prepare("SELECT option_value FROM ep_pinterest_settings WHERE option_name = 'username';"));

        //Set the URL to send to the REST API
        $url ="http://pinterestapi.co.uk/".$pinterest_user."/pins"; // Just for testing purposes replace soon.

        // Get cURL resource
        $curl = curl_init();
        // Set some options - we are passing in a useragent too here
        curl_setopt_array($curl, array(
            CURLOPT_RETURNTRANSFER => 1,
            CURLOPT_URL => $url,
            CURLOPT_USERAGENT => 'Pinterest Request',
            CURLOPT_SSL_VERIFYPEER => false,
            CURLOPT_SSL_VERIFYHOST => false
        ));
        // Send the request & save response to $resp
        $pinterest_response = curl_exec($curl);
        // Close request to clear up some resources
        curl_close($curl);

        $pins_array = json_decode($pinterest_response, false);

?>
<style type="text/css">
#pinterest-pins {
width: 100%;
display: block;
margin-bottom: 10px;
overflow: hidden;
}

.pinterest-pin {
width: <?php echo $pins_cols_val; ?>%;
float: left;                
border: 1px solid #cccccc;
border-radius: <?php echo $pins_border_val; ?>px;
margin: 1.4%;
overflow: hidden;
position: relative;
}

.pinterest-image img {
width: 100%;
border-bottom: 1px solid #cccccc;
}

.pinterest-link {
padding: 10px;
text-align: right;
border-bottom: 1px solid #cccccc;
<?php if($pins_template_val == 1) { ?>display: none;<?php } ?>
}

.pinterest-description {
padding: 10px;
text-align: center;
border-bottom: 1px solid #cccccc;
<?php if($pins_template_val == 1) { ?>display: none;<?php } ?>
}

.pinterest-information {
padding: 10px;
<?php if($pins_template_val == 1) { ?>display: none;<?php } ?>
}
</style>
        <div id='pinterest-pins'>

        <?php foreach ($pins_array->body as $pin) { ?>
            <div class='pinterest-pin'>
                <div class='pinterest-image'>
                    <?php if($pins_template_val == 1) { ?><a href='http://www.pinterest.com/<?php echo $pin->href ?>' <?php if($pins_links_val == 1) { ?>target='_blank'<?php } ?> class='button'><?php } ?><img src='<?php echo $pin->src; ?>' alt='' /><?php if($pins_template_val == 1) { ?></a><?php } ?>
                </div>
                <div class='pinterest-description'>
                    <strong><?php echo $pin->desc." ".$pin->attrib->attrib; ?></strong>
                </div>
                <div class='pinterest-information'>
                    <?php if($pin->attrib->source) { ?>
                        Source: <?php echo $pin->attrib->source; ?>
                        <br>
                    <?php } ?>
                    Board Name: <?php echo $pin->board->name; ?> (<a href='http://www.pinterest.com/<?php echo  $pin->board->href; ?>' <?php if($pins_links_val == 1) { ?>target='_blank'<?php } ?>>View Board</a>)
                </div>
                <div class='pinterest-link'>
                    <a href='http://www.pinterest.com/<?php echo $pin->href ?>' <?php if($pins_links_val == 1) { ?>target='_blank'<?php } ?> class='button'>View Pin</a>
                </div>
            </div>
        <?php } ?>

        </div>

        Total Pins: <?php echo $pins_array->meta->count; ?> | <a href='http://www.pinterest.com/<?php echo $pinterest_user; ?>' <?php if($pins_links_val == 1) { ?>target='_blank'<?php } ?>>Visit My Pinterest Page</a>

    <?php }

    add_shortcode( 'ep-showpins', 'ep_create_pins' );
}

add_action( 'wp_head', 'ep_inject_pins');
add_action( 'wp_enqueue_scripts', 'ep_enqueue_scripts' );


?>